On Tue, Nov 25, 2003 at 12:09:34PM +0900, Rommel B. IKEDA wrote:
> Hello,
> 
> I was reading the man page on pkg_info and then I tried testing what it 
> can do...When it gave me the output, it seems that some of my installed 
> ports has 2 versions...What can I do with those ports?  Can I just 
> pkg_delete or make deinstall the old versions? Or do I have to do 
> something before doing everything? Or just leave them alone?
> 
> Thank you for any advice in advance...
> Below are the list of the ports that appear to have 2 versions:

Most of the ports you list below are ones where both versions can
co-exist, and where you sometimes actually need both versions.
(For example, some programs require glib 1.x while others need glib
2.x. It is perfectly alright to have both installed at the same time.)
In most cases you should just leave them alone, it is not a problem
to have both versions installed.

The one exception to this is mozilla, where I don't think you can have
both versions installed. (I guess you have installed both www/mozilla
and www/mozilla-devel.)


> 
> ORBit-0.5.17_1      High-performance CORBA ORB with support for the C 
> language
> ORBit2-2.8.2        High-performance CORBA ORB with support for the C 
> language
> 
> autoconf-2.13.000227_5 Automatically configure source code on many Un*x 
> platforms
> autoconf-2.53_1     Automatically configure source code on many Un*x 
> platforms
> 
> automake-1.4.5_9    GNU Standards-compliant Makefile generator (legacy 
> version
> automake-1.5,1      GNU Standards-compliant Makefile generator
> 
> freetype-1.3.1_2    A free and portable TrueType font rendering engine
> freetype2-2.1.5_1   A free and portable TrueType font rendering engine
> 
> gconf-1.0.9_6       A configuration database system for GNOME
> gconf2-2.4.0.1      A configuration database system for GNOME
> 
> glib-1.2.10_10      Some useful routines of C programming (previous 
> stable vers
> glib-2.2.3          Some useful routines of C programming (current 
> stable versi
> 
> gtk-1.2.10_10       Gimp Toolkit for X11 GUI (previous stable version)
> gtk-2.2.4_1         Gimp Toolkit for X11 GUI (current stable version)
> 
> imlib-1.9.14_1      A graphic library for enlightenment package
> imlib2-1.0.6_1      The next generation graphic library for 
> enlightenment packa
> 
> ja-elisa10x8-1.0    X11 8-dot kanji font 'elisa font'
> ja-elisa8x8-1.0     X11 8-dot kanji font 'elisa font'
> 
> libglade-0.17_2     GNOME glade library
> libglade2-2.0.1_1   GNOME glade library
> 
> libtool-1.3.5_1     Generic shared library support script
> libtool-1.4.3_2     Generic shared library support script
> 
> libxml-1.8.17_1     Xml parser library for GNOME
> libxml2-2.6.2       Xml parser library for GNOME
> 
> mozilla-gtk2-1.5_1  The open source, standards compliant web browser
> mozilla-gtk2-1.5_1,2 The open source, standards compliant web browser
> 




-- 
<Insert your favourite quote here.>
Erik Trulsson
[EMAIL PROTECTED]
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to